# Interface Controller

AngularTS component lifecycle interface.

interface Controller {
$onChanges?: (changes: OnChangesObject) => void;
$onDestroy?: () => void;
$onInit?: () => void;
$postLink?: () => void;
name?: string;
}

##### Index

### Properties

$onChanges?
$onDestroy?
$onInit?
$postLink?
name?

## Properties

### `Optional`$onChanges

$onChanges?: (changes: OnChangesObject) => void

Called when one-way bindings are updated

### `Optional`$onDestroy

$onDestroy?: () => void

Called before the controller is destroyed

### `Optional`$onInit

$onInit?: () => void

Called when the controller is initialized

### `Optional`$postLink

$postLink?: () => void

Called after the component is linked

### `Optional` name

name?: string

Optional controller name (used in debugging)